Name:           librist
Version:        0.2.6
Release:        0%{dist}.1sunshine
Summary:        RIST library and tools
URL:            https://code.videolan.org/rist/librist

License:        BSD
Source0:        https://code.videolan.org/rist/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  binutils
BuildRequires:  libcmocka-devel
BuildRequires:  cjson-devel
BuildRequires:  mbedtls-devel

%package devel
Summary:	Development package for %{name}
Requires:	%{name}%{_isa} = %{version}-%{release}

%package tools
Summary:	Tools using %{name}

%description
Reliable Internet Stream Transport (RIST)

%description devel
Reliable Internet Stream Transport (RIST)
This package contains development files for %{name}

%description tools
RIST tools using %{name}.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson --default-library shared
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/%{name}.so.*

%files devel
%license COPYING
%{_libdir}/%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%files tools
%license COPYING
%{_bindir}/rist2rist
%{_bindir}/ristreceiver
%{_bindir}/ristsender
%{_bindir}/ristsrppasswd

%changelog
* Tue Dec 07 2021 Moritz Barsnick <moirtz+rpm@barsnick.net> 0.2.6-0.1sunshine
- adapt from https://github.com/tsduck/rist-installer/blob/217f1ce64f4735d0ac20787ccfb58ef4bfcd4efa/rpm/librist.spec
- use proper Source0
- build only shared library
- split out a -devel and an -utils package
- list binaries explicitly, not with a wildcard
- drop obsolete BuildRoot tag
- drop unneccessary Requires:
- drop obsolete %%defattr macro
- drop obsolete %%clean section
- make use of the %%autosetup macro
